Bug 642277 (CVE-2010-3179) - CVE-2010-3179 Mozilla buffer overflow and memory corruption using document.write
Summary: CVE-2010-3179 Mozilla buffer overflow and memory corruption using document.write
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3179
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-12 14:18 UTC by Josh Bressers
Modified: 2019-09-29 12:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 21:34:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0782 normal SHIPPED_LIVE Critical: firefox security update 2010-10-19 23:20:46 UTC
Red Hat Product Errata RHSA-2010:0861 normal SHIPPED_LIVE Critical: firefox security update 2010-11-09 19:05:41 UTC
Red Hat Product Errata RHSA-2010:0896 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-11-17 15:19:33 UTC

Description Josh Bressers 2010-10-12 14:18:29 UTC
Security researcher Alexander Miller reported that passing an excessively
long string to document.write could cause text rendering routines to end up
in an inconsistent state with sections of stack memory being overwritten
with the string data. An attacker could potentially use this flaw to crash
a victim's browser and run arbitrary code on their computer.

Comment 1 Josh Bressers 2010-10-19 21:57:02 UTC
This is now public:
http://www.mozilla.org/security/announce/2010/mfsa2010-65.html

Comment 2 errata-xmlrpc 2010-10-19 23:21:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0782 https://rhn.redhat.com/errata/RHSA-2010-0782.html

Comment 3 errata-xmlrpc 2010-11-10 18:58:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0861 https://rhn.redhat.com/errata/RHSA-2010-0861.html

Comment 4 errata-xmlrpc 2010-11-17 15:19:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0896 https://rhn.redhat.com/errata/RHSA-2010-0896.html


Note You need to log in before you can comment on or make changes to this bug.